Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

New fields to enhance the Push To Talk APIs

API release

Summary:The Push To Talk APIs now include a `force_execution request` field. for channel updates and creation, an `auto_connect` field in both request and response for channel management, and new `existing_auto_connect_channel_name` and `pre_check_passed` response fields for channel creation.

Enhancements

  • New force_execution request field in the following Push To Talk APIs:
    • PATCH /v2/phone/push_to_talk/channels/{channelId}
    • PATCH /v2/accounts/{accountId}/phone/push_to_talk/channels/{channelId}
    • POST /v2/phone/push_to_talk/channels
    • POST /v2/accounts/{accountId}/phone/push_to_talk/channels
  • New auto_connect response field in the following Push To Talk APIs:
    • GET /v2/phone/push_to_talk/channels/{channelId}
    • GET /v2/accounts/{accountId}/phone/push_to_talk/channels/{channelId}
    • GET /v2/phone/push_to_talk/channels
    • GET /v2/accounts/{accountId}/phone/push_to_talk/channels
  • New auto_connect request field in the following Push To Talk APIs:
    • PATCH /v2/phone/push_to_talk/channels/{channelId}
    • PATCH /v2/accounts/{accountId}/phone/push_to_talk/channels/{channelId}
    • GET /v2/phone/push_to_talk/channels
    • GET /v2/accounts/{accountId}/phone/push_to_talk/channels
    • POST /v2/phone/push_to_talk/channels
    • POST /v2/accounts/{accountId}/phone/push_to_talk/channels
  • New existing_auto_connect_channel_name,pre_check_passed response fields in the following Push To Talk APIs:
    • POST /v2/phone/push_to_talk/channels
    • POST /v2/accounts/{accountId}/phone/push_to_talk/channels